
define host {
	host_name		monitor
	alias			monitor.Princeton.EDU
	use			generic-host
	contacts		nobody
}

define host {
	host_name		monitor-dev
	alias			monitor-dev.Princeton.EDU
	use			generic-host
	contacts		nobody
}

define host {
	host_name		Monitor Untrust
	alias			Pseudo host for Gearman Untrust status
	use			Gearman
	#check_command		check_host_cluster!$HOSTNAME$!$HOSTSTATEID:Gearman 151 PrivateDMZ$,$HOSTSTATEID:Gearman NS PrivateDMZ!-c @2:
	check_command		check_host_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker 151 Untrust$,$SERVICESTATEID:monitor:Gearman worker NS Untrust$!-c @2:
}


define host {
	host_name		Monitor PrivateDMZ
	alias			Pseudo host for Gearman PrivateDMZ status
	use			Gearman
	#check_command		check_host_cluster!$HOSTNAME$!$HOSTSTATEID:Gearman 151 PrivateDMZ$,$HOSTSTATEID:Gearman NS PrivateDMZ!-c @2:
	check_command		check_host_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker 151 PrivateDMZ$,$SERVICESTATEID:monitor:Gearman worker NS PrivateDMZ$!-c @2:
}

define host {
	host_name		Monitor PublicDMZ
	alias			Pseudo host for Gearman PublicDMZ status
	use			Gearman
	#check_command		check_host_cluster!$HOSTNAME$!$HOSTSTATEID:Gearman 151 PublicDMZ$,$HOSTSTATEID:Gearman NS PublicDMZ!-c @2:
	check_command		check_host_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker 151 PublicDMZ$,$SERVICESTATEID:monitor:Gearman worker NS PublicDMZ$!-c @2:
}

define host {
	host_name		Monitor Trust
	alias			Pseudo host for Gearman Trust status
	use			Gearman
	#check_command		check_host_cluster!$HOSTNAME$!$HOSTSTATEID:Gearman 151 Trust$,$HOSTSTATEID:Gearman NS Trust!-c @2:
	check_command		check_host_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker 151 Trust$,$SERVICESTATEID:monitor:Gearman worker NS Trust$!-c @2:
}

define host {
	host_name		Monitor Eisfw F5
	alias			Pseudo host for Gearman Eisfw status
	use			Gearman
	#check_command		check_host_cluster!$HOSTNAME$!$HOSTSTATEID:Gearman 151 Trust$,$HOSTSTATEID:Gearman NS Trust!-c @2:
	check_command		check_host_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker 151 Eisfw F5$,$SERVICESTATEID:monitor:Gearman worker NS Eisfw F5$!-c @2:
}

define host {
	host_name			Gearman 151 Untrust
	alias				Pseudo host for Gearman 151 Untrust status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims204 151 Untrust alef$,$SERVICESTATEID:monitor:Gearman worker ims204 151 Untrust bet$,$SERVICESTATEID:monitor:Gearman worker ims205 151 Untrust gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims205 151 Untrust dalet failover$!-c @4:
}

define host {
	host_name			Gearman NS Untrust
	alias				Pseudo host for Gearman NS Untrust status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims205 NS Untrust alef$,$SERVICESTATEID:monitor:Gearman worker ims205 NS Untrust bet$,$SERVICESTATEID:monitor:Gearman worker ims204 NS Untrust gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims204 NS Untrust dalet failover$!-c @4:
}

define host {
	host_name			Gearman 151 PrivateDMZ
	alias				Pseudo host for Gearman 151 PrivateDMZ status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims220 151 PrivateDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims220 151 PrivateDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims221 151 PrivateDMZ gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims221 151 PrivateDMZ dalet failover$!-c @4:
}

define host {
	host_name			Gearman NS PrivateDMZ
	alias				Pseudo host for Gearman NS PrivateDMZ status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims221 NS PrivateDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims221 NS PrivateDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims220 NS PrivateDMZ gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims220 NS PrivateDMZ dalet failover$!-c @4:
}

define host {
	host_name			Gearman 151 PublicDMZ
	alias				Pseudo host for Gearman 151 PublicDMZ status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims224 151 PublicDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims224 151 PublicDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims225 151 PublicDMZ gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims225 151 PublicDMZ dalet failover$!-c @4:
}

define host {
	host_name			Gearman NS PublicDMZ
	alias				Pseudo host for Gearman NS PublicDMZ status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims225 NS PublicDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims225 NS PublicDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims224 NS PublicDMZ gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims224 NS PublicDMZ dalet failover$!-c @4:
}

define host {
	host_name			Gearman 151 Trust
	alias				Pseudo host for Gearman 151 Trust status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims222 151 Trust alef$,$SERVICESTATEID:monitor:Gearman worker ims222 151 Trust bet$,$SERVICESTATEID:monitor:Gearman worker ims223 151 Trust gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims223 151 Trust dalet failover$!-c @4:
}

define host {
	host_name			Gearman NS Trust
	alias				Pseudo host for Gearman NS Trust status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims223 NS Trust alef$,$SERVICESTATEID:monitor:Gearman worker ims223 NS Trust bet$,$SERVICESTATEID:monitor:Gearman worker ims222 NS Trust gimel failover$,$SERVICESTATEID:monitor:Gearman worker ims222 NS Trust dalet failover$!-c @4:
}

define host {
	host_name			Gearman 151 Eisfw F5
	alias				Pseudo host for Gearman 151 Eisfw F5 status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims220 151 PrivateDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims220 151 PrivateDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims224 151 PublicDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims224 151 PublicDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims222 151 Trust alef$,$SERVICESTATEID:monitor:Gearman worker ims222 151 Trust bet$!-c @6:
}

define host {
	host_name			Gearman NS Eisfw F5
	alias				Pseudo host for Gearman NS Eisfw F5 status
	use				Gearman
	check_command			check_service_cluster!$HOSTNAME$!$SERVICESTATEID:monitor:Gearman worker ims221 NS PrivateDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims221 NS PrivateDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims225 NS PublicDMZ alef$,$SERVICESTATEID:monitor:Gearman worker ims225 NS PublicDMZ bet$,$SERVICESTATEID:monitor:Gearman worker ims223 NS Trust alef$,$SERVICESTATEID:monitor:Gearman worker ims223 NS Trust bet$!-c @6:
}


